This URL updates the CLI auditing configuration at domain level.
Resource URL
PUT /domain/<domainId>/cliauditing
Request Parameters
URL Parameter
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Payload Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Inherit settings from parent domain | Boolean | Yes |
| Enable CLI auditing | Boolean | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Set to 1 if the operation was successful | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/domain/0/cliauditing
Payload
{
"inheritSettings": false,
"enable": true
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1105 | Invalid domain |
2 | 400 | 3101 | Cannot inherit settings for root domain |
3 | 500 | 1001 | Internal server error |